Loading...
Searching...
No Matches
etl::variance< Variance_Type, TInput, TCalc > Class Template Reference

Variance. More...

`#include <variance.h>`

## Public Member Functions

| variance ()
| Constructor.
template<typename TIterator>
| variance (TIterator first, TIterator last)
| Constructor.
void | add (TInput value)
| Add a pair of values.
template<typename TIterator>
void | add (TIterator first, TIterator last)
| Add a range.
void | operator() (TInput value)
template<typename TIterator>
void | operator() (TIterator first, TIterator last)
double | get_variance () const
| Get the variance.
| operator double () const
| Get the variance.
size_t | count () const
| Get the total number added entries.
void | clear ()
| Clear the variance.

## Additional Inherited Members

Public Types inherited from etl::private_variance::variance_traits< TInput, TInput >
typedef TInput | calc_t
Public Types inherited from etl::binary_function< TInput, TInput, void >
typedef TInput | first_argument_type
typedef TInput | second_argument_type
typedef void | result_type

## Detailed Description

template<bool Variance_Type, typename TInput, typename TCalc = TInput>
class etl::variance< Variance_Type, TInput, TCalc >

Variance.

## Member Function Documentation

## operator()() [1/2]

template<bool Variance_Type, typename TInput, typename TCalc = TInput>

void etl::variance< Variance_Type, TInput, TCalc >::operator() | ( | TInput | value | ) |

inline

operator () Add a pair of values.

## operator()() [2/2]

template<bool Variance_Type, typename TInput, typename TCalc = TInput>
template<typename TIterator>

void etl::variance< Variance_Type, TInput, TCalc >::operator() | ( | TIterator | first,
|  | TIterator | last )

inline

operator () Add a range.

The documentation for this class was generated from the following file:

- include/etl/variance.h